################################################################################
# File:             compDepthsPairsTwins-base.R
# Created by:       Pierre Lafaye De Micheaux
# First released:   06.11.2018
# Last revised:     06.11.2018
# 
# Testing R-script for depth computation w.r.t. a transormed bundle.
# 
# For a detailed description see:
#   Lafaye De Micheaux, P., Mozharovskyi, P. and Vimond, M. (2018). Depth for 
#     curve data and applications.
################################################################################


require("curveDepth")

load(paste("../Step5/TransformedCurves/transformed-curve-", given.twin[2], ".RData", sep = ""))
load(paste("../Step5/TransformedCurves/transformed-curve-", given.twin[3], ".RData", sep = ""))

eval(parse(text = paste("twin1fibers <- leftFibers", given.twin[2], sep = "")))
eval(parse(text = paste("twin2fibers <- leftFibers", given.twin[3], sep = "")))

#system.time({depths <- depth.curve.Tukey(objects = twin1fibers, data = twin2fibers, nDirs = 10000L, subs = TRUE, fracInt = 0.5, fracEst = 0.5, subsamples = NULL, exactEst = FALSE, minMassObj = 0, minMassDat = 0)})

set.seed(2)

system.time({depths <- depthc.Tukey(objects = twin1fibers, data = twin2fibers, nDirs = 256L, subs = TRUE, m = 256, fracInt = 0.5, fracEst = 0.5, exactEst = FALSE, minMassObj = 0, minMassDat = 0)})

eval(parse(text = paste("twin.", given.twin[1], ".depths <- depths", sep = "")))

eval(parse(text = paste("save(twin.", given.twin[1], ".depths, file = \"twin.", given.twin[1], ".depths.RData\")", sep = "")))
